﻿/*************************************\
 *              Process              *
 *                                   *
 * Kapitel: Wichtige C#-Klassen      *
 * Zuordnung: C#-Buch V2.0 7.2       *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;
using System.Diagnostics;

namespace CSV20.Process_Start
{
    class Program
    {
        static void Main(string[] args)
        {
            Process oProcess = new Process();

            oProcess.StartInfo.FileName = "cmd.exe";
            oProcess.StartInfo.WindowStyle = ProcessWindowStyle.Maximized;
            oProcess.StartInfo.Arguments = "/K ping localhost";
            
            oProcess.Start();

            Console.WriteLine("Bitte drücken Sie eine Taste um das Programm zu beenden ...   ");
            Console.ReadKey();
            if (oProcess.HasExited)
                Console.WriteLine("Das Programm wurde bereits beendet!");
            else
            {
                oProcess.Kill();
                Console.WriteLine("Das Programm wurde beendet!");
            }

            // Kurz-Form möglich (für einfache Start-Vorgänge): Process.Start("cmd.exe", "/K ping localhost");

            Console.ReadKey();
        }
    }
}